SSL_get_version(3) | OpenSSL | SSL_get_version(3)

# NAME

SSL_get_version - get the protocol version of a connection.

# LIBRARY

libcrypto, -lcrypto

# SYNOPSIS

#include <openssl/ssl.h> const char *SSL_get_version(const SSL *ssl);

# DESCRIPTION

SSL_get_cipher_version() returns the name of the protocol used for the connection ssl.

# RETURN VALUES

The following strings can occur:

SSLv2 | The connection uses the SSLv2 protocol.

SSLv3 | The connection uses the SSLv3 protocol.

TLSv1 | The connection uses the TLSv1 protocol.

unknown | This indicates that no version has been set (no connection established).

# SEE ALSO

ssl(3)

July 20, 2009 | 1.0.1-dev